# Retrieve solution of a clustering job

This endpoint returns the solution of the clustering problems submitted to the Batch Cluster endpoint.
You can fetch it with the job_id, you have been sent.

Endpoint: GET /cluster/solution/{jobId}
Version: 1.0.0
Security: key

## Path parameters:

  - `jobId` (string, required)
    Request solution with jobId

## Response 200 fields (application/json):

  - `copyrights` (array)
    Example: ["GraphHopper","OpenStreetMap contributors"]

  - `status` (string)
    Indicates the current status of the job
    Enum: "waiting_in_queue", "processing", "finished"

  - `waiting_time_in_queue` (number)

  - `processing_time` (number)
    Example: 4900

  - `clusters` (array)

  - `clusters.quantity` (number)
    Cluster size
    Example: 40

  - `clusters.ids` (array)
    Array of customer ids assigned to this specific cluster
    Example: ["GraphHopper GmbH"]

## Response 400 fields (application/json):

  - `message` (string)
    Short error message
    Example: "Bad Request"

  - `hints` (array)
    Optional error information.

  - `hints.message` (string)
    error message
    Example: "unsupported json property [vehiles]. allowed properties: [vehicles, vehicle_types, services, shipments, relations, algorithm, objectives, cost_matrices, configuration]"

  - `hints.details` (string)
    Details
    Example: "class java.lang.IllegalArgumentException"

  - `status` (string)
    status
    Example: "finished"

## Response 404 fields (application/json):

  - `message` (string)
    Error message
    Example: "Invalid job_id 73314c89-ee4b-459c-aca4-0ad6d6e558da"

  - `status` (string)
    status
    Example: "finished"


## Response 500 fields
